// ---------------------------------------------------------------
// Publishing your crate
// ---------------------------------------------------------------

// '///' three back slash is documentation comment 
// cargo doc --open to open the documentation 
// 

/* 
    these lines are not going to be documentation 
 */

// this line of code is not in documentation.

// these lines below will be in documentation
//! # Basic math crate
//! This is a collection of some generally used math functions
//! 
/// Coimputes a square of an input number
/// 
/// # Examples
/// # Tests
/// ```
/// let n = 5; 
/// let answer = Publishing_Your_Crate::square(n);
/// assert_eq!(25, answer);
/// ```
/// cargo test to run above test
/// # limitations
/// 
/// # some other section
pub fn square(num: i32) -> i32 {
    num * num
} // end square


/// Coimputes a cube of an input number
/// 
/// # Examples
/// # Tests
/// ```
/// let n = 5; 
/// let answer = Publishing_Your_Crate::cube(n);
/// assert_eq!(125, answer);
/// ```
/// cargo test to run above test
/// # limitations
/// 
/// # some other section
pub fn cube(num: i32) -> i32 {
    num * num * num
} // end square
